#
# Conditional build:
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Fast markdown parser in pure Python
Summary(pl.UTF-8):	Szybki parser markdown napisany w czystym Pythonie
Name:		python-mistune
Version:	0.8.4
Release:	7
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/mistune/
Source0:	https://files.pythonhosted.org/packages/source/m/mistune/mistune-%{version}.tar.gz
# Source0-md5:	fb6ab174ece938dea09f8b2adad771e4
URL:		https://github.com/lepture/mistune
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%{?with_tests:BuildRequires:	python-nose}
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools
%{?with_tests:BuildRequires:	python3-nose}
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The fastest markdown parser in pure Python with renderer features,
inspired by marked.

%description -l pl.UTF-8
Najszybszy parser markdown w czystym Pythonie z obsługą renderingu,
zainspirowany modułem marked.

%package -n python3-mistune
Summary:	Fast markdown parser in pure Python
Summary(pl.UTF-8):	Szybki parser markdown napisany w czystym Pythonie
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.5

%description -n python3-mistune
The fastest markdown parser in pure Python with renderer features,
inspired by marked.

%description -n python3-mistune -l pl.UTF-8
Najszybszy parser markdown w czystym Pythonie z obsługą renderingu,
zainspirowany modułem marked.

%prep
%setup -q -n mistune-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE README.rst
%{py_sitescriptdir}/mistune.py[co]
%{py_sitescriptdir}/mistune-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-mistune
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE README.rst
%{py3_sitescriptdir}/mistune.py
%{py3_sitescriptdir}/__pycache__/mistune.cpython-*.py[co]
%{py3_sitescriptdir}/mistune-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-mistune.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> f620918
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 7ea49d1
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> cd9f73b
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 15429b6
- release 4 (by relup.sh)

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> 9943def
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> f67457b
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Mar 19 2019 Jakub Bogusz <qboosh@pld-linux.org> b644e90
- new

